Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceOperatorDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<VoiceOperator>
ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceOperator>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceOperatorDao

public class VoiceOperatorDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceOperator>
Даошка для работы с операторами в БД. Стандартный CRUD-набор. Реализован кеширующий механизм справочников Directory.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceOperatorDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `deleteImpl(int id)`
  `protected VoiceOperator`
  `getFromRS(ResultSet rs)`
  `protected VoiceOperator`
  `getImpl(int id)`
  Получение одного конкретного оператора по его коду.
  `List<VoiceOperator>`
  `list()`
  Получение списка операторов с сортировкой по коду оператора.
  `protected void`
  `updateImpl(VoiceOperator voiceOperator)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, eq, get, getById, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceOperatorDao

    public VoiceOperatorDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected VoiceOperator getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceOperator>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(VoiceOperator voiceOperator) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceOperator>`
    Throws:
      `SQLException`

  - ### list

    public List<VoiceOperator> list() throws SQLException
    Получение списка операторов с сортировкой по коду оператора.
    Overrides:
      `list` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceOperator>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### deleteImpl

    protected int deleteImpl(int id) throws SQLException
    Overrides:
      `deleteImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceOperator>`
    Throws:
      `SQLException`

  - ### getImpl

    protected VoiceOperator getImpl(int id) throws SQLException
    Получение одного конкретного оператора по его коду. Переопределяем из за того, что метод getFromRS берет данные не только из целевой таблицы, а в стандартной реализации get ничего подобного нет.
    Overrides:
      `getImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceOperator>`
    Throws:
      `SQLException`